com.amazonaws.services.codebuild.model

## Class LogsLocation

- java.lang.Object
- - com.amazonaws.services.codebuild.model.LogsLocation

All Implemented Interfaces:
  Serializable, Cloneable

    public class LogsLocation
    extends Object
    implements Serializable, Cloneable

Information about build logs in Amazon CloudWatch Logs.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LogsLocation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LogsLocation` `clone()`
`boolean` `equals(Object obj)`
`String` `getDeepLink()` The URL to an individual build log in Amazon CloudWatch Logs.
`String` `getGroupName()` The name of the Amazon CloudWatch Logs group for the associated build logs.
`String` `getStreamName()` The name of the Amazon CloudWatch Logs stream for the associated build logs.
`int` `hashCode()`
`void` `setDeepLink(String deepLink)` The URL to an individual build log in Amazon CloudWatch Logs.
`void` `setGroupName(String groupName)` The name of the Amazon CloudWatch Logs group for the associated build logs.
`void` `setStreamName(String streamName)` The name of the Amazon CloudWatch Logs stream for the associated build logs.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LogsLocation` `withDeepLink(String deepLink)` The URL to an individual build log in Amazon CloudWatch Logs.
`LogsLocation` `withGroupName(String groupName)` The name of the Amazon CloudWatch Logs group for the associated build logs.
`LogsLocation` `withStreamName(String streamName)` The name of the Amazon CloudWatch Logs stream for the associated build logs.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LogsLocation

    public LogsLocation()

### Method Detail

#### setGroupName

    public void setGroupName(String groupName)

The name of the Amazon CloudWatch Logs group for the associated build logs.

Parameters:
  `groupName` - The name of the Amazon CloudWatch Logs group for the associated build logs.

#### getGroupName

    public String getGroupName()

The name of the Amazon CloudWatch Logs group for the associated build logs.

Returns:
  The name of the Amazon CloudWatch Logs group for the associated build logs.

#### withGroupName

    public LogsLocation withGroupName(String groupName)

The name of the Amazon CloudWatch Logs group for the associated build logs.

Parameters:
  `groupName` - The name of the Amazon CloudWatch Logs group for the associated build logs.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStreamName

    public void setStreamName(String streamName)

The name of the Amazon CloudWatch Logs stream for the associated build logs.

Parameters:
  `streamName` - The name of the Amazon CloudWatch Logs stream for the associated build logs.

#### getStreamName

    public String getStreamName()

The name of the Amazon CloudWatch Logs stream for the associated build logs.

Returns:
  The name of the Amazon CloudWatch Logs stream for the associated build logs.

#### withStreamName

    public LogsLocation withStreamName(String streamName)

The name of the Amazon CloudWatch Logs stream for the associated build logs.

Parameters:
  `streamName` - The name of the Amazon CloudWatch Logs stream for the associated build logs.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeepLink

    public void setDeepLink(String deepLink)

The URL to an individual build log in Amazon CloudWatch Logs.

Parameters:
  `deepLink` - The URL to an individual build log in Amazon CloudWatch Logs.

#### getDeepLink

    public String getDeepLink()

The URL to an individual build log in Amazon CloudWatch Logs.

Returns:
  The URL to an individual build log in Amazon CloudWatch Logs.

#### withDeepLink

    public LogsLocation withDeepLink(String deepLink)

The URL to an individual build log in Amazon CloudWatch Logs.

Parameters:
  `deepLink` - The URL to an individual build log in Amazon CloudWatch Logs.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LogsLocation clone()

Overrides:
  `clone` in class `Object`